### Function

# ECal ComponentRange new_take

since: 3.34

#### Declaration [src]

    ECalComponentRange*
    e_cal_component_range_new_take (
      ECalComponentRangeKind kind,
      ECalComponentDateTime* datetime
    )

#### Description [src]

Creates a new `ECalComponentRange` describing a range, similar to `e_cal_component_range_new()` except is assumes ownership of `datetime`. The returned structure should be freed with e_cal_component_range_free(), when no longer needed.

Available since: 3.34

This function is not directly available to language bindings.

#### Parameters

`kind`

  Type: `ECalComponentRangeKind`

  An `ECalComponentRangeKind`.

`datetime`

  Type: `ECalComponentDateTime`

  An `ECalComponentDateTime`.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `ECalComponentRange`

A newly allocated `ECalComponentRange`.

The caller of the function takes ownership of the data, and is responsible for freeing it.